Bug 986639 (ghc-shakespeare-css) - Review Request: ghc-shakespeare-css - Compile-time variable interpolation for CSS
Summary: Review Request: ghc-shakespeare-css - Compile-time variable interpolation for...
Keywords:
Status: CLOSED ERRATA
Alias: ghc-shakespeare-css
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Shakthi Kannan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 925993
TreeView+ depends on / blocked
 
Reported: 2013-07-21 08:02 UTC by Jens Petersen
Modified: 2013-09-12 02:03 UTC (History)
3 users (show)

Fixed In Version: ghc-shakespeare-css-1.0.6.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-12 01:58:08 UTC
Type: ---
shakthimaan: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Jens Petersen 2013-07-21 08:02:47 UTC
Spec URL: http://petersen.fedorapeople.org//ghc-shakespeare-css.spec
SRPM URL: http://petersen.fedorapeople.org//ghc-shakespeare-css-1.0.6.1-1.fc19.src.rpm

Description:
Shakespeare is a template family for type-safe, efficient templates with simple
variable interpolation. Shakespeare templates can be used inline with a
quasi-quoter or in an external file. Shakespeare interpolates variables
according to the type being inserted. In this case, the variable type needs a
ToCss instance.

This package contains 2 css template languages. The Cassius language uses
whitespace to avoid the need for closing brackets and semi-colons.
Lucius does not care about whitespace and is a strict superset of css.
There are also some significant conveniences added for css.

Please see http://www.yesodweb.com/book/shakespearean-templates for a more
thorough description and examples.

Comment 1 Jens Petersen 2013-07-21 08:02:54 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5634019

Comment 2 Shakthi Kannan 2013-08-29 07:25:19 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[-]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 491520 bytes in 24 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: ghc-shakespeare-css-1.0.6.1-1.fc17.x86_64.rpm
          ghc-shakespeare-css-devel-1.0.6.1-1.fc17.x86_64.rpm
ghc-shakespeare-css.x86_64: W: spelling-error %description -l en_US quoter -> quote, quotes, quoted
ghc-shakespeare-css.x86_64: W: spelling-error %description -l en_US whitespace -> white space, white-space, whites pace
ghc-shakespeare-css.x86_64: W: spelling-error %description -l en_US superset -> super set, super-set, supersede
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint ghc-shakespeare-css ghc-shakespeare-css-devel
ghc-shakespeare-css.x86_64: W: spelling-error %description -l en_US quoter -> quote, quotes, quoted
ghc-shakespeare-css.x86_64: W: spelling-error %description -l en_US whitespace -> white space, white-space, whites pace
ghc-shakespeare-css.x86_64: W: spelling-error %description -l en_US superset -> super set, super-set, supersede
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'

Requires
--------
ghc-shakespeare-css (rpmlib, GLIBC filtered):
    ghc(base-4.3.1.0)
    ghc(parsec-3.1.1)
    ghc(process-1.0.1.5)
    ghc(shakespeare-1.0.0.2)
    ghc(template-haskell-2.5.0.0)
    ghc(text-0.11.1.5)
    ghc(transformers-0.2.2.0)
    libHSarray-0.3.0.2-ghc7.0.4.so()(64bit)
    libHSbase-4.3.1.0-ghc7.0.4.so()(64bit)
    libHSbytestring-0.9.1.10-ghc7.0.4.so()(64bit)
    libHScontainers-0.4.0.0-ghc7.0.4.so()(64bit)
    libHSdeepseq-1.1.0.2-ghc7.0.4.so()(64bit)
    libHSdirectory-1.1.0.0-ghc7.0.4.so()(64bit)
    libHSfilepath-1.2.0.0-ghc7.0.4.so()(64bit)
    libHSghc-prim-0.2.0.0-ghc7.0.4.so()(64bit)
    libHSinteger-gmp-0.2.0.3-ghc7.0.4.so()(64bit)
    libHSmtl-2.0.1.0-ghc7.0.4.so()(64bit)
    libHSold-locale-1.0.0.2-ghc7.0.4.so()(64bit)
    libHSold-time-1.0.0.6-ghc7.0.4.so()(64bit)
    libHSparsec-3.1.1-ghc7.0.4.so()(64bit)
    libHSpretty-1.0.1.2-ghc7.0.4.so()(64bit)
    libHSprocess-1.0.1.5-ghc7.0.4.so()(64bit)
    libHSshakespeare-1.0.0.2-ghc7.0.4.so()(64bit)
    libHStemplate-haskell-2.5.0.0-ghc7.0.4.so()(64bit)
    libHStext-0.11.1.5-ghc7.0.4.so()(64bit)
    libHStransformers-0.2.2.0-ghc7.0.4.so()(64bit)
    libHSunix-2.4.2.0-ghc7.0.4.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgmp.so.10()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)

ghc-shakespeare-css-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(shakespeare-css-1.0.6.1)
    ghc-compiler
    ghc-devel(base-4.3.1.0)
    ghc-devel(parsec-3.1.1)
    ghc-devel(process-1.0.1.5)
    ghc-devel(shakespeare-1.0.0.2)
    ghc-devel(shakespeare-css-1.0.6.1)
    ghc-devel(template-haskell-2.5.0.0)
    ghc-devel(text-0.11.1.5)
    ghc-devel(transformers-0.2.2.0)
    ghc-prof(base-4.3.1.0)
    ghc-prof(parsec-3.1.1)
    ghc-prof(process-1.0.1.5)
    ghc-prof(shakespeare-1.0.0.2)
    ghc-prof(template-haskell-2.5.0.0)
    ghc-prof(text-0.11.1.5)
    ghc-prof(transformers-0.2.2.0)
    ghc-shakespeare-css(x86-64)

Provides
--------
ghc-shakespeare-css:
    ghc(shakespeare-css-1.0.6.1)
    ghc-shakespeare-css
    ghc-shakespeare-css(x86-64)
    libHSshakespeare-css-1.0.6.1-ghc7.0.4.so()(64bit)

ghc-shakespeare-css-devel:
    ghc-devel(shakespeare-css-1.0.6.1)
    ghc-prof(shakespeare-css-1.0.6.1)
    ghc-shakespeare-css-devel
    ghc-shakespeare-css-devel(x86-64)

Unversioned so-files
--------------------
ghc-shakespeare-css: /usr/lib64/ghc-7.0.4/shakespeare-css-1.0.6.1/libHSshakespeare-css-1.0.6.1-ghc7.0.4.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/shakespeare-css/1.0.6.1/shakespeare-css-1.0.6.1.tar.gz :
  CHECKSUM(SHA256) this package     : 7c0f746c4fd64b21900405922bc9a44102b567f1534a8b3171002de8cf3ff8c3
  CHECKSUM(SHA256) upstream package : 7c0f746c4fd64b21900405922bc9a44102b567f1534a8b3171002de8cf3ff8c3

Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 986639

Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/share/doc/ghc-shakespeare-css-1.0.6.1
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles
- Latest version is packaged. The latest available release is 1.0.6.2.
  Can you please update to it?

Comment 3 Jens Petersen 2013-08-30 01:43:25 UTC
Thanks for reviewing

(In reply to Shakthi Kannan from comment #2)
> - Package does not contain duplicates in %files.
>   Note: warning: File listed twice:
> /usr/share/doc/ghc-shakespeare-css-1.0.6.1
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles

I think this is because you are using F17.
It is a known issue (and also harmless I think)
with the older ghc-rpm-macros in F17 and EPEL6.
Anyway F17 is EOL now and I am pretty sure
this doesn't happen with current releases (F18+).

> - Latest version is packaged. The latest available release is 1.0.6.2.
>   Can you please update to it?

Sure thanks for spotting that.

Spec: http://petersen.fedorapeople.org/reviews/ghc-shakespeare-css/ghc-shakespeare-css.spec
SRPM: http://petersen.fedorapeople.org/reviews/ghc-shakespeare-css/ghc-shakespeare-css-1.0.6.2-1.fc19.src.rpm

Koji f18 scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5871918

Note: no file duplicates warning. :)

Comment 4 Shakthi Kannan 2013-08-30 16:00:17 UTC
Package APPROVED.

Comment 5 Jens Petersen 2013-09-02 01:52:05 UTC
Thanks


New Package SCM Request
=======================
Package Name: ghc-shakespeare-css
Short Description: Compile-time variable interpolation for CSS
Owners: petersen
Branches: f20 f19 f18 el6
InitialCC: haskell-sig

Comment 6 Dennis Gilmore 2013-09-02 15:04:33 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-09-03 02:23:08 UTC
ghc-shakespeare-css-1.0.6.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-shakespeare-css-1.0.6.2-1.fc18

Comment 8 Fedora Update System 2013-09-03 02:23:20 UTC
ghc-shakespeare-css-1.0.6.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-shakespeare-css-1.0.6.2-1.fc19

Comment 9 Fedora Update System 2013-09-03 22:28:20 UTC
ghc-shakespeare-css-1.0.6.2-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 10 Fedora Update System 2013-09-12 01:58:08 UTC
ghc-shakespeare-css-1.0.6.2-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 11 Fedora Update System 2013-09-12 02:03:21 UTC
ghc-shakespeare-css-1.0.6.2-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.